//-----------------------------------------------------------------------------
//
// Title       : TutorVerilog
// Design      : Verilog_design
// Author      : PJR
// Company     : AGH
//
//-----------------------------------------------------------------------------
//
// File        : d:\My_Designs\Tutorials\Verilog_design\src\TutorVerilog.v
// Generated   : Fri Nov  3 15:52:34 2023
// From        : interface description file
// By          : Itf2Vhdl ver. 1.22
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------
`timescale 1 ns / 1 ps

//{{ Section below this comment is automatically maintained
//   and may be overwritten
//{module {TutorVerilog}}
module TutorVerilog (CLK, RST, Q);
	
	input CLK ;
	wire CLK ;
	input RST ;
	wire RST ;
	output [2:0] Q ;
	wire [2:0] Q ;
	//}} End of automatically maintained section
	
	// -- Enter your statements here -- //
	
	reg [2:0] Q_INT;
	
	always @ (posedge CLK)
		if (RST == 1'b1)		// synchronous reset
			Q_INT = 3'b000;
		else 								// active clock edge
			Q_INT = Q_INT + 1;
	
	assign Q = Q_INT;
	
endmodule
