//-----------------------------------------------------------------------------
//
// Title       : TutorVerilog_tb
// Design      : Verilog_design
// Author      : PJR
// Company     : AGH
//
//-----------------------------------------------------------------------------
//
// File        : TutorVerilog_TB.v
// Generated   : Fri Nov  3 17:38:01 2023
// From        : d:\My_Designs\Tutorials\Verilog_design\src\TestBench\TutorVerilog_TB_settings.txt
// By          : tb_verilog.pl ver. ver 1.2s
//
//-----------------------------------------------------------------------------
//
// Description : 
//
//-----------------------------------------------------------------------------

`timescale 1ns / 1ps
module TutorVerilog_tb;
	
	
	//Internal signals declarations:
	reg CLK;
	reg RST;
	wire [2:0]Q;
	
	// Unit Under Test port map
	TutorVerilog UUT (
		.CLK(CLK),
		.RST(RST),
		.Q(Q));
	
	
	//Verification stimuli
	
	initial
		begin : RST_STIM // begin of stimulus process
			RST = 1'b0;	// 0 ns
			#100;		 		
			RST = 1'b1;	//100 ns
			#100; 			
			RST = 1'b0;	//200 ns
		end // end of stimulus process
	
	initial
		begin : CLOCK_STIM // begin of clock process
			CLK = 1'b0;
			forever #50 CLK = ~CLK;	// 10 MHz clock
		end // end of stimulus process
	
	
endmodule
